Name:           pinentry-x2go
Version:        0.7.5.10
Release:        0.0x2go1%{?dist}
Group:          Applications/Communications
Summary:        Qt5-based PIN or pass-phrase entry dialog for x2goclient
License:        GPL-2.0
URL:            http://www.x2go.org/
Source0:        http://code.x2go.org/releases/source/%name/%name-%version.tar.gz

BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  autoconf >= 2.57, automake >= 1.7.6
BuildRequires:  ncurses-devel
%if 0%{?suse_version}
BuildRequires:  libqt5-qtbase-devel
BuildRequires:  libqt5-linguist
%else
BuildRequires:  qt5-qtbase-devel
BuildRequires:  qt5-linguist
BuildRequires:  qt5-rpm-macros
%endif

%if 0%{?fedora} || 0%{?rhel}
# For some reason qt(4)-dev doesn't depend upon redhat-rpm-config,
# but the GCC spec file is still used, which leads to gcc failing
# due to a missing annobin plugin during compilation.
# Let's build-depend upon redhat-rpm-config for now manually.
BuildRequires:  redhat-rpm-config
%endif

%description
This package contains a program that allows for entry of PINs or pass
phrases. Based on original pinentry-qt software, modified for
x2goclient.

%prep
%setup -q

%build
if [ ! -e configure ]; then
	autoreconf -fi
fi
%configure
make %{?_smp_mflags}

%install
pushd pinentry-x2go/
# Why on earth does every goddamn build system have to use different names
# for DESTDIR, and force strip on us?
make install DESTDIR="%{buildroot}" INSTALL_ROOT="%{buildroot}" STRIP="true"
popd

%files
%defattr(-,root,root)
%{_bindir}/pinentry-x2go

%changelog
